# Teleport players to plot

gamemode adventure @a[scores={arena=1},tag=eliminated,tag=!spectator]

execute as @a[scores={arena=1},tag=voting_for,tag=!spectator] run function build:generic/teleport/main
execute as @a[scores={arena=1},tag=voting_for,tag=!spectator,limit=1] run teleport @a[scores={arena=1},tag=!voting_for] @s







# Give players items

clear @a[scores={arena=1},tag=!spectator]
execute as @a[scores={arena=1},tag=!voting_for,tag=!spectator] run function build:generic/voting_items/standard







# Say who built it

execute store result score #player_count value if entity @a[scores={arena=1},tag=voting_for,tag=!spectator]

title @a[scores={arena=1}] times 10 70 20
title @a[scores={arena=1}] title {"selector":"@a[scores={arena=1},tag=voting_for,tag=!spectator]","color":"gold"}
title @a[scores={arena=1}] subtitle {"nbt":"game.forest.theme","storage":"build:data","color":"green"}
execute if score #player_count value matches ..1 run tellraw @a[scores={arena=1}] [{"text":"Builder: ","color":"green"},{"selector":"@a[scores={arena=1},tag=voting_for,tag=!spectator]","color":"gold"},{"text":", Theme: ","color":"green"},{"nbt":"game.forest.theme","storage":"build:data","color":"gold"}]
execute if score #player_count value matches 2.. run tellraw @a[scores={arena=1}] [{"text":"Builders: ","color":"green"},{"selector":"@a[scores={arena=1},tag=voting_for,tag=!spectator]","color":"gold"},{"text":", Theme: ","color":"green"},{"nbt":"game.forest.theme","storage":"build:data","color":"gold"}]
execute as @a[scores={arena=1}] at @s run playsound minecraft:entity.villager.yes master @s







# Set plot ID

scoreboard players operation @a[scores={arena=1},tag=voting_for,tag=!spectator] plot_id = #forest_plot_id value
scoreboard players add #forest_plot_id value 1







# Append values to score standardization system

data modify storage build:data game.forest.plot_array append value [I;]

execute if data storage build:data game.forest.votes_array[00] run data modify storage build:data game.forest.votes_array[00] append value 0
execute if data storage build:data game.forest.votes_array[01] run data modify storage build:data game.forest.votes_array[01] append value 0
execute if data storage build:data game.forest.votes_array[02] run data modify storage build:data game.forest.votes_array[02] append value 0
execute if data storage build:data game.forest.votes_array[03] run data modify storage build:data game.forest.votes_array[03] append value 0
execute if data storage build:data game.forest.votes_array[04] run data modify storage build:data game.forest.votes_array[04] append value 0
execute if data storage build:data game.forest.votes_array[05] run data modify storage build:data game.forest.votes_array[05] append value 0
execute if data storage build:data game.forest.votes_array[06] run data modify storage build:data game.forest.votes_array[06] append value 0
execute if data storage build:data game.forest.votes_array[07] run data modify storage build:data game.forest.votes_array[07] append value 0
execute if data storage build:data game.forest.votes_array[08] run data modify storage build:data game.forest.votes_array[08] append value 0
execute if data storage build:data game.forest.votes_array[09] run data modify storage build:data game.forest.votes_array[09] append value 0
execute if data storage build:data game.forest.votes_array[10] run data modify storage build:data game.forest.votes_array[10] append value 0
execute if data storage build:data game.forest.votes_array[11] run data modify storage build:data game.forest.votes_array[11] append value 0
execute if data storage build:data game.forest.votes_array[12] run data modify storage build:data game.forest.votes_array[12] append value 0
execute if data storage build:data game.forest.votes_array[13] run data modify storage build:data game.forest.votes_array[13] append value 0
execute if data storage build:data game.forest.votes_array[14] run data modify storage build:data game.forest.votes_array[14] append value 0
execute if data storage build:data game.forest.votes_array[15] run data modify storage build:data game.forest.votes_array[15] append value 0
execute if data storage build:data game.forest.votes_array[16] run data modify storage build:data game.forest.votes_array[16] append value 0
execute if data storage build:data game.forest.votes_array[17] run data modify storage build:data game.forest.votes_array[17] append value 0
execute if data storage build:data game.forest.votes_array[18] run data modify storage build:data game.forest.votes_array[18] append value 0
execute if data storage build:data game.forest.votes_array[19] run data modify storage build:data game.forest.votes_array[19] append value 0
execute if data storage build:data game.forest.votes_array[20] run data modify storage build:data game.forest.votes_array[20] append value 0
execute if data storage build:data game.forest.votes_array[21] run data modify storage build:data game.forest.votes_array[21] append value 0
execute if data storage build:data game.forest.votes_array[22] run data modify storage build:data game.forest.votes_array[22] append value 0
execute if data storage build:data game.forest.votes_array[23] run data modify storage build:data game.forest.votes_array[23] append value 0
execute if data storage build:data game.forest.votes_array[24] run data modify storage build:data game.forest.votes_array[24] append value 0
execute if data storage build:data game.forest.votes_array[25] run data modify storage build:data game.forest.votes_array[25] append value 0
execute if data storage build:data game.forest.votes_array[26] run data modify storage build:data game.forest.votes_array[26] append value 0
execute if data storage build:data game.forest.votes_array[27] run data modify storage build:data game.forest.votes_array[27] append value 0
execute if data storage build:data game.forest.votes_array[28] run data modify storage build:data game.forest.votes_array[28] append value 0
execute if data storage build:data game.forest.votes_array[29] run data modify storage build:data game.forest.votes_array[29] append value 0
execute if data storage build:data game.forest.votes_array[30] run data modify storage build:data game.forest.votes_array[30] append value 0
execute if data storage build:data game.forest.votes_array[31] run data modify storage build:data game.forest.votes_array[31] append value 0
execute if data storage build:data game.forest.votes_array[32] run data modify storage build:data game.forest.votes_array[32] append value 0
execute if data storage build:data game.forest.votes_array[33] run data modify storage build:data game.forest.votes_array[33] append value 0
execute if data storage build:data game.forest.votes_array[34] run data modify storage build:data game.forest.votes_array[34] append value 0
execute if data storage build:data game.forest.votes_array[35] run data modify storage build:data game.forest.votes_array[35] append value 0
execute if data storage build:data game.forest.votes_array[36] run data modify storage build:data game.forest.votes_array[36] append value 0
execute if data storage build:data game.forest.votes_array[37] run data modify storage build:data game.forest.votes_array[37] append value 0
execute if data storage build:data game.forest.votes_array[38] run data modify storage build:data game.forest.votes_array[38] append value 0
execute if data storage build:data game.forest.votes_array[39] run data modify storage build:data game.forest.votes_array[39] append value 0
execute if data storage build:data game.forest.votes_array[40] run data modify storage build:data game.forest.votes_array[40] append value 0
execute if data storage build:data game.forest.votes_array[41] run data modify storage build:data game.forest.votes_array[41] append value 0
execute if data storage build:data game.forest.votes_array[42] run data modify storage build:data game.forest.votes_array[42] append value 0
execute if data storage build:data game.forest.votes_array[43] run data modify storage build:data game.forest.votes_array[43] append value 0
execute if data storage build:data game.forest.votes_array[44] run data modify storage build:data game.forest.votes_array[44] append value 0
execute if data storage build:data game.forest.votes_array[45] run data modify storage build:data game.forest.votes_array[45] append value 0
execute if data storage build:data game.forest.votes_array[46] run data modify storage build:data game.forest.votes_array[46] append value 0
execute if data storage build:data game.forest.votes_array[47] run data modify storage build:data game.forest.votes_array[47] append value 0







# Set timer

scoreboard players set #forest_timer value 600







# Prepare bossbar

bossbar set build:forest visible true
execute store result bossbar build:forest max run scoreboard players get #forest_timer value
execute store result bossbar build:forest value run scoreboard players get #forest_timer value







# Set voting boolean

scoreboard players set #forest_voting_boolean value 1